%define major     1
%define api       1.15
%define libname   %mklibname cppunit %{api}_%{major}
%define develname %mklibname cppunit -d

Summary:	C++ port of JUnit Testing Framework
Name:		cppunit
Version:	1.15.1
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.freedesktop.org/wiki/Software/cppunit
Source0:	https://dev-www.libreoffice.org/src/%{name}-%{version}.tar.gz
Patch0:		cppunit-1.11.4-missing-include.patch
BuildRequires:	doxygen

%description
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%package -n %{libname}
Summary:	C++ port of JUnit Testing Framework
Group:		System/Libraries

%description -n	%{libname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}

%description -n %{develname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --enable-doxygen

# <oden> somehow LIBADD_DL is ignored, is that an intentional change?
perl -pi -e "s|^LIBS =.*|LIBS = -lm -ldl|g" src/cppunit/Makefile

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

#(tpg) do not duplicate docs
rm -rf  %{buildroot}%{_datadir}/doc/cppunit

# clean up
rm -rf %{buildroot}%{_datadir}/cppunit

%files -n %{libname}
%{_libdir}/libcppunit-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS NEWS README THANKS ChangeLog
%{_bindir}/DllPlugInTester
%{_libdir}/*.so
%{_includedir}/cppunit/
%{_libdir}/pkgconfig/cppunit.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.15.1-5.mga10
+ Revision: 2221822
- Mageia 10 Mass Rebuild

* Tue Apr 02 2024 daviddavid <daviddavid> 1.15.1-4.mga10
+ Revision: 2053805
- fix for new patch setup

* Fri Mar 18 2022 umeabot <umeabot> 1.15.1-3.mga9
+ Revision: 1798455
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.15.1-2.mga8
+ Revision: 1541568
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 30 2019 shlomif <shlomif> 1.15.1-1.mga8
+ Revision: 1474891
- New version 1.15.1
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Dec 22 2019 shlomif <shlomif> 1.15.0-1.mga8
+ Revision: 1469553
- New version 1.15.0

* Sun Sep 23 2018 umeabot <umeabot> 1.14.0-2.mga7
+ Revision: 1296847
- Mageia 7 Mass Rebuild

* Tue Jul 18 2017 tv <tv> 1.14.0-1.mga7
+ Revision: 1124817
- fix build
- new release

* Thu Feb 11 2016 umeabot <umeabot> 1.13.2-7.mga6
+ Revision: 953643
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 cjw <cjw> 1.13.2-6.mga6
+ Revision: 869183
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.13.2-5.mga6
+ Revision: 739205
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.13.2-4.mga5
+ Revision: 693692
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.13.2-3.mga5
+ Revision: 678569
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 wally <wally> 1.13.2-2.mga5
+ Revision: 638646
- obsolete old and unused cppunit1.12
- drop old Mdv era obsoletes

* Sun Dec 22 2013 luigiwalser <luigiwalser> 1.13.2-1.mga4
+ Revision: 559710
- 1.13.2

* Fri Oct 18 2013 umeabot <umeabot> 1.13.1-3.mga4
+ Revision: 503512
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.13.1-2.mga3
+ Revision: 348244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 luigiwalser <luigiwalser> 1.13.1-1.mga3
+ Revision: 300165
- 1.13.1

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1.13.0-1.mga3
+ Revision: 282329
- 1.13.0
- update URLs

* Thu Jan 26 2012 fwang <fwang> 1.12.1-9.mga2
+ Revision: 201749
- drop static build

* Wed Jan 12 2011 dmorgan <dmorgan> 1.12.1-8.mga1
+ Revision: 7623
- Do not build the qt3 gui
- imported package cppunit


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.1-8mdv2011.0
+ Revision: 603852
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.1-7mdv2010.1
+ Revision: 521117
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.12.1-6mdv2010.0
+ Revision: 413268
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.12.1-5mdv2009.0
+ Revision: 264359
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1.12.1-4mdv2009.0
+ Revision: 212774
- Fix qt3 tool building against gcc 4.3

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix build

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.12.1-2mdv2008.1
+ Revision: 174955
- bunzip patch0
- better descriptions
- add full url for source
- fix mixture of tabs and spaces
- use macros
- do not duplicate docs

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 1.12.1-1mdv2008.1
+ Revision: 174610
- new version
- new major
- update file list

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.12.0-5mdv2008.1
+ Revision: 149130
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.12.0-4mdv2008.0
+ Revision: 90805
- whoops!

* Tue Sep 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.12.0-3mdv2008.0
+ Revision: 89517
- new devel naming

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 1.12.0-2mdv2008.0
+ Revision: 51174
- Import cppunit



* Mon Jul 10 2006 Götz Waschk <waschk@mandriva.org> 1.12.0-2mdv2007.0
- fix devel deps

* Sun Jul  2 2006 Götz Waschk <waschk@mandriva.org> 1.12.0-1mdv2007.0
- new major
- New release 1.12.0

* Thu Jun 29 2006 Stefan van der Eijk <stefan@eijk.nu> 1.11.4-3
- rebuild for sparc

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 1.11.4-1mdv2007.0
- rebuild for new libpng

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 1.11.4-1mdk
- split out testrunner
- new major
- update file list
- patch for missing header
- drop patch 0
- New release 1.11.4

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 1.10.2-6mdk
- fix build

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.10.2-5mdk
- Rebuild

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1.10.2-4mdk
- fix previous change

* Tue Nov 22 2005 Götz Waschk <waschk@mandriva.org> 1.10.2-3mdk
- add qttestrunner

* Tue May  3 2005 Götz Waschk <waschk@mandriva.org> 1.10.2-2mdk
- multiarch support

* Sat Jun 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10.2-1mdk
- 1.10.2
- fix the funny libname (%%major)

* Sun Nov 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.8.0-1mdk
- initial cooker contrib
